Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | Static Public Member Functions | List of all members
FlexibleSendTriggerFlags Class Reference

Class to handle a flexible SendTriggerFlags type reference method there is more than one. More...

Inheritance diagram for FlexibleSendTriggerFlags:

## Public Member Functions
| FlexibleSendTriggerFlags ()
| FlexibleSendTriggerFlags default constructor More...
| FlexibleSendTriggerFlags (SendTriggerFlags value)
| FlexibleSendTriggerFlags constructor More...
| FlexibleSendTriggerFlags (AnyParameterReference parameter)
| FlexibleSendTriggerFlags constructor More...
| FlexibleSendTriggerFlags (InputSlotAny slot)
| FlexibleSendTriggerFlags constructor More...
Public Member Functions inherited from FlexibleField< SendTriggerFlags >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator SendTriggerFlags (FlexibleSendTriggerFlags flexible)
| Cast FlexibleSendTriggerFlags to SendTriggerFlags. More...
static | operator FlexibleSendTriggerFlags (SendTriggerFlags value)
| Cast SendTriggerFlags to FlexibleSendTriggerFlags. More...
Static Public Member Functions inherited from FlexibleField< SendTriggerFlags >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< SendTriggerFlags >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< SendTriggerFlags >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible SendTriggerFlags type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleSendTriggerFlags() [1/4]

FlexibleSendTriggerFlags | ( |  | ) |

FlexibleSendTriggerFlags default constructor

## ◆ FlexibleSendTriggerFlags() [2/4]

FlexibleSendTriggerFlags | ( | SendTriggerFlags | value | ) |

FlexibleSendTriggerFlags constructor

Parameters

  value | Value

## ◆ FlexibleSendTriggerFlags() [3/4]

FlexibleSendTriggerFlags | ( | AnyParameterReference | parameter | ) |

FlexibleSendTriggerFlags constructor

Parameters

  parameter | Parameter

## ◆ FlexibleSendTriggerFlags() [4/4]

FlexibleSendTriggerFlags | ( | InputSlotAny | slot | ) |

FlexibleSendTriggerFlags constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ operator FlexibleSendTriggerFlags()

static operator FlexibleSendTriggerFlags | ( | SendTriggerFlags | value | ) |
| explicit static

Cast SendTriggerFlags to FlexibleSendTriggerFlags.

Parameters

  value | SendTriggerFlags

## ◆ operator SendTriggerFlags()

static operator SendTriggerFlags | ( | FlexibleSendTriggerFlags | flexible | ) |
| explicit static

Cast FlexibleSendTriggerFlags to SendTriggerFlags.

Parameters

  flexible | FlexibleSendTriggerFlags